org.apache.lucene.index

## Class BaseNormsFormatTestCase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.index.BaseIndexFileFormatTestCase
      - - org.apache.lucene.index.BaseNormsFormatTestCase

-     public abstract class BaseNormsFormatTestCase
      extends BaseIndexFileFormatTestCase

  Abstract class to do basic tests for a norms format. NOTE: This test focuses on the norms impl, nothing else. The [stretch] goal is for this test to be so thorough in testing a new NormsFormat that if this test passes, then all Lucene/Solr tests should also pass. Ie, if there is some bug in a given NormsFormat that this test fails to catch then this test needs to be improved!

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.BaseIndexFileFormatTestCase

      `BaseIndexFileFormatTestCase.FileTrackingDirectoryWrapper, BaseIndexFileFormatTestCase.ReadBytesDirectoryWrapper`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseNormsFormatTestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRandomFields(Document doc)` Add random fields to the provided document.
    `protected boolean` | `codecSupportsSparsity()` Whether the codec supports sparse values.
    `void` | `testAllZeros()`
    `void` | `testByteRange()`
    `void` | `testFewLargeValues()`
    `void` | `testFewSparseLargeValues()`
    `void` | `testFewSparseValues()`
    `void` | `testFewValues()`
    `void` | `testFullLongRange()`
    `void` | `testIndependantIterators()`
    `void` | `testIndependantSparseIterators()`
    `void` | `testLongRange()`
    `void` | `testMergeStability()` The purpose of this test is to make sure that bulk merge doesn't accumulate useless data over runs.
    `void` | `testMostZeros()`
    `void` | `testNCommon()`
    `void` | `testNCommonBig()` a more thorough n-common that tests all low bpv
    `void` | `testOutliers()`
    `void` | `testOutliers2()`
    `void` | `testShortRange()`
    `void` | `testSparseAllZeros()`
    `void` | `testSparseByteRange()`
    `void` | `testSparseFullLongRange()`
    `void` | `testSparseLongRange()`
    `void` | `testSparseNCommon()`
    `void` | `testSparseNCommonBig()` a more thorough n-common that tests all low bpv and sparse docs
    `void` | `testSparseOutliers()`
    `void` | `testSparseOutliers2()`
    `void` | `testSparseShortRange()`
    `void` | `testThreads()`
    `void` | `testUndeadNorms()`

    - ### Methods inherited from class org.apache.lucene.index.BaseIndexFileFormatTestCase

      `applyCreatedVersionMajor, excludedExtensionsFromByteCounts, getCodec, getCreatedVersionMajor, maybeWrapWithMergingReader, mergeIsStable, setUp, shouldTestMergeInstance, tearDown, testCheckIntegrityReadsAllBytes, testMultiClose, testRamBytesUsed, testRandomExceptions`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, callStackContains, callStackContains, callStackContainsAnyOf, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, ensureSaneIWCOnNightly, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertThrows, assertThrows, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseNormsFormatTestCase

          public BaseNormsFormatTestCase()

  - ### Method Detail

    - #### codecSupportsSparsity

          protected boolean codecSupportsSparsity()

      Whether the codec supports sparse values.

    - #### testByteRange

          public void testByteRange()
                             throws Exception

      Throws:
        `Exception`

    - #### testSparseByteRange

          public void testSparseByteRange()
                                   throws Exception

      Throws:
        `Exception`

    - #### testShortRange

          public void testShortRange()
                              throws Exception

      Throws:
        `Exception`

    - #### testSparseShortRange

          public void testSparseShortRange()
                                    throws Exception

      Throws:
        `Exception`

    - #### testLongRange

          public void testLongRange()
                             throws Exception

      Throws:
        `Exception`

    - #### testSparseLongRange

          public void testSparseLongRange()
                                   throws Exception

      Throws:
        `Exception`

    - #### testFullLongRange

          public void testFullLongRange()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSparseFullLongRange

          public void testSparseFullLongRange()
                                       throws Exception

      Throws:
        `Exception`

    - #### testFewValues

          public void testFewValues()
                             throws Exception

      Throws:
        `Exception`

    - #### testFewSparseValues

          public void testFewSparseValues()
                                   throws Exception

      Throws:
        `Exception`

    - #### testFewLargeValues

          public void testFewLargeValues()
                                  throws Exception

      Throws:
        `Exception`

    - #### testFewSparseLargeValues

          public void testFewSparseLargeValues()
                                        throws Exception

      Throws:
        `Exception`

    - #### testAllZeros

          public void testAllZeros()
                            throws Exception

      Throws:
        `Exception`

    - #### testSparseAllZeros

          public void testSparseAllZeros()
                                  throws Exception

      Throws:
        `Exception`

    - #### testMostZeros

          public void testMostZeros()
                             throws Exception

      Throws:
        `Exception`

    - #### testOutliers

          public void testOutliers()
                            throws Exception

      Throws:
        `Exception`

    - #### testSparseOutliers

          public void testSparseOutliers()
                                  throws Exception

      Throws:
        `Exception`

    - #### testOutliers2

          public void testOutliers2()
                             throws Exception

      Throws:
        `Exception`

    - #### testSparseOutliers2

          public void testSparseOutliers2()
                                   throws Exception

      Throws:
        `Exception`

    - #### testNCommon

          public void testNCommon()
                           throws Exception

      Throws:
        `Exception`

    - #### testSparseNCommon

          public void testSparseNCommon()
                                 throws Exception

      Throws:
        `Exception`

    - #### testNCommonBig

          @LuceneTestCase.Nightly
          public void testNCommonBig()
                                                      throws Exception

      a more thorough n-common that tests all low bpv
      Throws:
        `Exception`

    - #### testSparseNCommonBig

          @LuceneTestCase.Nightly
          public void testSparseNCommonBig()
                                                            throws Exception

      a more thorough n-common that tests all low bpv and sparse docs
      Throws:
        `Exception`

    - #### addRandomFields

          protected void addRandomFields(Document doc)

      Description copied from class: `BaseIndexFileFormatTestCase`
      Add random fields to the provided document.
      Specified by:
        `addRandomFields` in class `BaseIndexFileFormatTestCase`

    - #### testMergeStability

          public void testMergeStability()
                                  throws Exception

      Description copied from class: `BaseIndexFileFormatTestCase`
      The purpose of this test is to make sure that bulk merge doesn't accumulate useless data over runs.
      Overrides:
        `testMergeStability` in class `BaseIndexFileFormatTestCase`
      Throws:
        `Exception`

    - #### testUndeadNorms

          public void testUndeadNorms()
                               throws Exception

      Throws:
        `Exception`

    - #### testThreads

          public void testThreads()
                           throws Exception

      Throws:
        `Exception`

    - #### testIndependantIterators

          public void testIndependantIterators()
                                        throws IOException

      Throws:
        `IOException`

    - #### testIndependantSparseIterators

          public void testIndependantSparseIterators()
                                              throws IOException

      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.